PETSc version 3.15.5
Fix/Edit manual page

# ISLocalToGlobalMappingApplyIS

Creates from an IS in the local numbering a new index set using the global numbering defined in an ISLocalToGlobalMapping context.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISLocalToGlobalMappingApplyIS(ISLocalToGlobalMapping mapping,IS is,IS *newis)

Collective on is

### Input Parameters

| mapping | - mapping between local and global numbering
| is | - index set in local numbering

### Output Parameters

| newis | - index set in global numbering

### Notes

The output IS will have the same communicator of the input IS.

### See Also

ISLocalToGlobalMappingApply(), ISLocalToGlobalMappingCreate(),
ISLocalToGlobalMappingDestroy(), ISGlobalToLocalMappingApply()

### Level

advanced

### Location

src/vec/is/utils/isltog.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages